/* file types */
#define DIRFILE		0
#define BINFILE		1
#define OBJFILE		2
#define TEXTFILE	3
#define DATAFILE	4
#define LOGFILE		5
#define OTHFILE		6
#define SCIANFILE	7

extern char dirSave[];

/* prototypes for FileSystem routines */

#ifdef HAVE_PROTOTYPES
void InitFileSystem(void);
void KillFileSystem(void);
void SetUpCollect(void);
Bool ChangeDir(char *);
void RestoreDir(void);
char *GetCurDir(void);
Bool FileExists(char *);
void DoNewFileWindow(void);
void ProcessSetFormat(void);
void ProcessShowInfo(void);
void GetFileWindow(char *);
void GetSaveWindow(ObjPtr, char *, char *, char *);
Bool ReadAFile(char *, char *, char *);
#else
void InitFileSystem();
void KillFileSystem();
void SetUpCollect();
Bool ChangeDir();
void RestoreDir();
char *GetCurDir();
Bool FileExists();
void DoNewFileWindow();
void ProcessSetFormat();
void ProcessShowInfo();
void GetFileWindow();
void GetSaveWindow();
Bool ReadAFile();
#endif
