/*ScianPick.h
  Eric Pepke
  May 30, 1991
  External stuff for pick routines
*/

#ifndef _H_PICTURES
#include "ScianPictures.h"
#endif

/*Pick resolve types*/
#define PR_CENTER	0	/*Pick closest to center*/
#define PR_NEAREST	1	/*Pick nearest to observer*/

#ifdef HAVE_PROTOTYPES
void StartPick(void);
ObjPtr StopPick(VertexPtr *bestVertex);
void PickVertex(VertexPtr);
void PickObject(ObjPtr, int);
void EndPickObject(void);
#else
void StartPick();
ObjPtr StopPick();
void PickVertex();
void PickObject();
void EndPickObject();
#endif
