/* ScianVisStreams.h */
/* Tzong-Yow Hwu */
/* Streams and Emitters visualization object in SciAn */

#ifdef HAVE_PROTOTYPES
void InitLineEmitters(void);
void KillLineEmitters(void);
void InitHoseEmitters(void);
void KillHoseEmitters(void);
void InitStreamlines(void);
void KillStreamlines(void);
ObjPtr NewEmitter(real *vector);
#else
void InitLineEmitters();
void KillLineEmitters();
void InitHoseEmitters();
void KillHoseEmitters();
void InitStreamlines();
void KillStreamlines();
ObjPtr NewEmitter();
#endif

