/*ScianColorControls.h
  Eric Pepke
  April 2, 1993

  Color controls for SciAn

*/

/*flags for mapping controls*/
#define MC_PLAIN	0
#define MC_SCALELEFT	1	/*Scale on left*/
#define MC_SCALERIGHT	2
#define MC_SCALETOP	4
#define MC_SCALEBOTTOM	8

/*Color edit tools*/
#define CCT_FREEFORM	0	/*Component tool free form*/
#define CCT_LINEAR	1	/*Linear function*/

#ifdef HAVE_PROTOTYPES
void InitColorControls(void);
void KillColorControls(void);
ObjPtr NewDirectSwatch(int, int, int, int ,char *name,  ObjPtr, NameTyp); 
ObjPtr NewIndexedSwatch(int, int, int, int ,char *name,  ObjPtr, NameTyp, int); 
ObjPtr NewMappingControl(ObjPtr, int l, int r, int b, int t, char *name, int flags,
	real xMin, real xMax, real yMin, real yMax, int nEntries);
ObjPtr NewComponentControl(int, int, int, int, char *name, ObjPtr palette);
#else
void InitColorControls();
void KillColorControls();
ObjPtr NewDirectSwatch();
ObjPtr NewIndexedSwatch();
ObjPtr NewMappingControl();
ObjPtr NewComponentControl();
#endif

